%global extdir      %{_datadir}/gnome-shell/extensions/dash-to-panel@jderose9.github.com
%global gschemadir  %{_datadir}/glib-2.0/schemas


Name:           gnome-shell-extension-dash-to-panel-oreon
Version:        68
Release:        2%{?dist}
#Release:        5.%%{commit_date}git%%{commit_short}%%{?dist}
Summary:        Gnome Shell

License:        GPLv2+
URL:            https://github.com/home-sweet-gnome/dash-to-panel
Source0:        dash-to-panel-%{version}.zip

BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  make
BuildRequires:  sassc
BuildRequires:  %{_bindir}/glib-compile-schemas

Requires:       gnome-shell-extension-common
Requires:       dconf-editor
Requires:       dconf
#Requires:       libdbusmenu-gtk3

%description
This extension enhances the dash moving it out of the overview and
transforming it in a dock for an easier launching of applications
and a faster switching between windows and desktops without having
to leave the desktop view.


%prep
%autosetup -n dash-to-panel-%{version} -p 1


%build
%make_build


%install
%make_install

# Cleanup crap.
mkdir -p %{buildroot}%{gschemadir}
cp %{buildroot}%{extdir}/schemas/*gschema.xml %{buildroot}%{gschemadir}/
%{__rm} -fr %{buildroot}%{extdir}/{COPYING*,README*,schemas}

# Disable notifications in Dash to Panel extension
find %{buildroot}%{extdir} -name "*.js" -exec sed -i 's/Main\.notify(/\/\/ Main.notify(/g' {} \;
find %{buildroot}%{extdir} -name "*.js" -exec sed -i 's/Util\.notify(/\/\/ Util.notify(/g' {} \;
find %{buildroot}%{extdir} -name "*.js" -exec sed -i 's/\.notify(/\/\/ .notify(/g' {} \;

# Modify GSettings schema to disable notifications by default
find %{buildroot}%{gschemadir} -name "*gschema.xml" -exec sed -i 's/<default>true<\/default>/<default>false<\/default>/g' {} \;

%post
# Disable notifications in user settings
if [ -x /usr/bin/gsettings ]; then
    /usr/bin/gsettings set org.gnome.shell.extensions.dash-to-panel enable-notifications false 2>/dev/null || true
fi

# Fedora handles this using triggers.
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :

%files
%license COPYING
%doc README.md
%{extdir}
%{gschemadir}/*gschema.xml

%changelog
